"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _chai = require("chai");
require("@testing-library/jest-dom");
var _cleanString = _interopRequireDefault(require("../cleanString"));
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

describe('cleanSring', () => {
  it('should remove spaces from start and end of string', async () => {
    const string = ' Hello world ';
    const newString = (0, _cleanString.default)(string, [' ']);
    (0, _chai.expect)(newString).to.equal('Hello world');
  });
  it('should remove spaces from only the end of string', async () => {
    const string = ' Hello world ';
    const newString = (0, _cleanString.default)(string, [' '], false);
    (0, _chai.expect)(newString).to.equal(' Hello world');
  });
  it('should remove spaces and commas', async () => {
    const string = ' Hello world,';
    const newString = (0, _cleanString.default)(string, [' ', ',']);
    (0, _chai.expect)(newString).to.equal('Hello world');
  });
  it('should do a thorough cleaning', async () => {
    const string = 'Hello world. ';
    const newString = (0, _cleanString.default)(string, [' ', '.'], false, true, true);
    (0, _chai.expect)(newString).to.equal('Hello world');
  });
});